{% extends "@bulma/system/page.html.twig" %}

{#
  Limit the main content column to a max of 10 units at widescreen and above.
  @see system/page.html.twig in the Bulma theme.
#}
{% if not page.content_attributes %}
  {%
    set page = page|merge({
      'content_attributes': create_attribute().addClass([
        'main-content',
        'column',
        'is-10-widescreen',
      ]),
    })
  %}
{% endif %}

{#
  Allow child templates to pass in site slogan attributes.
#}
{% if not site_slogan_attributes %}
  {%
    set site_slogan_attributes = create_attribute().addClass([
      'subtitle',
      'is-2',
      'is-size-3-tablet-only',
      'is-size-4-mobile',
      'has-padding-left-10-touch',
      'has-padding-right-10-touch',
    ])
  %}
{% endif %}

{# Set default classes top navbar but allow to be overridden. #}
{% if not nav_attributes %}
  {%
    set nav_attributes = create_attribute().addClass([
      'navbar',
      'has-shadow',
    ])
  %}
{% endif %}

{# Set default classes for header section but allow to be overridden. #}
{% if not header_section_attributes %}
  {%
    set header_section_attributes = create_attribute().addClass([
      'container',
    ])
  %}
{% endif %}

{# Set default classes for main section but allow to be overridden. #}
{% if not main_section_attributes %}
  {%
    set main_section_attributes = create_attribute().addClass([
      'section',
      'section--main',
    ])
  %}
{% endif %}

{# Set default classes for page columns in main section. #}
{% if not main_page_columns_attributes %}
  {%
    set main_page_columns_attributes = create_attribute().addClass([
      'columns',
      'is-centered',
    ])
  %}
{% endif %}

{% block navbar %}
{# Add a new region #}
{% block header_user %}
{% if page.header_user %}
<div class="container is-flex justify-end">
  {{ page.header_user }}
</div>
{% endif %}
{% endblock header_user %}
{% block navbar_element %}
{# Top navbar #}
{% if page.navbar_branding or page.navbar_social or page.primary_menu %}
{# Top navbar #}
<nav{{ nav_attributes }}>
  <div class="container">
    <div class="navbar-brand">
      {% block navbar_branding %}
      {% if page.navbar_branding %}
      {{ page.navbar_branding }}
      {% endif %}
      {% endblock navbar_branding %}
      <div id="js-navbar-burger" class="navbar-burger burger" data-target="navbar-menu">
        <span></span>
        <span></span>
        <span></span>
      </div>
    </div>
    <div id="js-navbar-menu" class="navbar-menu">
      {% block navbar_social %}
      {% if page.navbar_social %}
      <div class="navbar-start">
      {{ page.navbar_social }}
      </div>
      {% endif %}
      {% endblock navbar_social %}
      {% block primary_menu %}
      {% if page.primary_menu %}
      {{ page.primary_menu }}
      {% endif %}
      {% endblock primary_menu %}
    </div>
  </div>
</nav>
{% endif %}
{% endblock navbar_element %}
{% endblock navbar %}
{% block header %}
{% block header_and_search %}
{% if page.header or page.header_search %}
<section{{ header_section_attributes }}>
  {# Header region + search #}
  <div class="container">
    <div class="columns is-vcentered">
      <div class="column">
        {% if is_front and site_slogan %}
          <h2{{ site_slogan_attributes }}>{{ site_slogan }}</h1>
        {% endif %}
        {{ page.header }}
      </div>
      <div class="column is-narrow">
        {{ page.header_search }}
      </div>
    </div>
  </div>
</section>
{% endif %}
{% endblock header_and_search %}
{% block tabs %}
{# Drupal tabs #}
{% if page.header_tabs %}
  {{ page.header_tabs }}
{% endif %}
{% endblock tabs %}
{% endblock header %}
{% block main %}
{# Main section #}
<section{{ main_section_attributes }}>
  <main role="main" class="container">
    <a id="main-content" tabindex="-1"></a>{# link is in html.html.twig #}

    {{ page.highlighted }}
    {{ page.help }}

    <div{{ main_page_columns_attributes }}>
      {% block main_content %}
      {# Set attributes for content. #}
      {% if not page.content_attributes %}
      {%
        set page = page|merge({
          'content_attributes': create_attribute().addClass([
            'main-content',
            'column',
          ]),
        })
      %}
      {% endif %}
      {# Main content #}
      <div{{ page.content_attributes }}>
        {{ page.content }}
      </div>
      {% endblock main_content %}
      {% block sidebar_first %}
      {# Sidebar first #}
      {% if page.sidebar_first %}
      {# Set attributes for content. #}
        {% if not page.sidebar_first_attributes %}
        {%
          set page = page|merge({
            'sidebar_first_attributes': create_attribute().addClass([
              'sidebar-first',
              'column',
              'is-2',
            ]),
          })
        %}
        {% endif %}
        <aside{{ page.sidebar_first_attributes|without('role') }} role="complimentary">
          {{ page.sidebar_first }}
        </aside>
      {% endif %}
      {% endblock sidebar_first %}
      {% block sidebar_second %}
      {# Sidebar second #}
      {% if page.sidebar_second %}
        {% if not page.sidebar_second_attributes %}
        {%
          set page = page|merge({
            'sidebar_second_attributes': create_attribute().addClass([
              'sidebar-second',
              'column',
              'is-2',
            ]),
          })
        %}
        {% endif %}
        <aside{{ page.sidebar_second_attributes|without('role') }} role="complimentary">
          {{ page.sidebar_second }}
        </aside>
      {% endif %}
      {% endblock sidebar_second %}
    </div>
    {{ page.content_bottom }}
  </main>
</section>
{% endblock main %}
{% block footer %}
{% if page.footer or page.footer_menus or page.footer_info or page.footer_notice%}
  <footer role="contentinfo" class="footer">
    <div class="container">
      {{ page.footer }}
      <div class="columns">
        {% if page.footer_menus %}
          {{ page.footer_menus }}
        {% endif %}
        {% if page.footer_info %}
          <div class="column"></div>
          {{ page.footer_info }}
        {% endif %}
      </div>
      {% if page.footer_notice %}
        {{ page.footer_notice }}
      {% endif %}
    </div>
  </footer>
{% endif %}
{% endblock footer %}
